Update Salary Transaction
curl --request PATCH \
--url https://api.twine.se/v1/org/salary-transactions/{salary_transaction_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"employee_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"mappings": [
{
"external_id": "SAL-1024",
"system_integration_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"status": "active",
"status_updated_at": "2023-11-07T05:31:56Z"
}
],
"properties": {
"amount": [
{
"valid_from": "2021-06-01",
"value": null
}
],
"cost_center": [
{
"valid_from": "2021-06-01",
"value": null
}
],
"currency": [
{
"valid_from": "2021-06-01",
"value": null
}
],
"custom_properties": {},
"department_id": [
{
"valid_from": "2021-06-01",
"value": null
}
],
"description": [
{
"valid_from": "2021-06-01",
"value": null
}
],
"period_end": [
{
"valid_from": "2021-06-01",
"value": "2021-06-01T12:00:00Z"
}
],
"period_start": [
{
"valid_from": "2021-06-01",
"value": "2021-06-01T12:00:00Z"
}
],
"project": [
{
"valid_from": "2021-06-01",
"value": null
}
],
"quantity": [
{
"valid_from": "2021-06-01",
"value": null
}
],
"source_external_id": [
{
"valid_from": "2021-06-01",
"value": null
}
],
"total": [
{
"valid_from": "2021-06-01",
"value": null
}
],
"transaction_date": [
{
"valid_from": "2021-06-01",
"value": "2021-06-01T12:00:00Z"
}
],
"transaction_type": [
{
"valid_from": "2021-06-01",
"value": null
}
]
}
}
}
'{
"data": {
"id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"org_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"employee_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"inserted_at": "2021-06-01T12:00:00Z",
"mappings": [
{
"external_id": "SAL-1024",
"system_integration_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"status": "active",
"status_updated_at": "2023-11-07T05:31:56Z"
}
],
"properties": {
"amount": [
{
"valid_from": "2021-06-01",
"value": null
}
],
"cost_center": [
{
"valid_from": "2021-06-01",
"value": null
}
],
"currency": [
{
"valid_from": "2021-06-01",
"value": null
}
],
"custom_properties": {},
"department_id": [
{
"valid_from": "2021-06-01",
"value": null
}
],
"description": [
{
"valid_from": "2021-06-01",
"value": null
}
],
"period_end": [
{
"valid_from": "2021-06-01",
"value": "2021-06-01T12:00:00Z"
}
],
"period_start": [
{
"valid_from": "2021-06-01",
"value": "2021-06-01T12:00:00Z"
}
],
"project": [
{
"valid_from": "2021-06-01",
"value": null
}
],
"quantity": [
{
"valid_from": "2021-06-01",
"value": null
}
],
"source_external_id": [
{
"valid_from": "2021-06-01",
"value": null
}
],
"total": [
{
"valid_from": "2021-06-01",
"value": null
}
],
"transaction_date": [
{
"valid_from": "2021-06-01",
"value": "2021-06-01T12:00:00Z"
}
],
"transaction_type": [
{
"valid_from": "2021-06-01",
"value": null
}
]
},
"transaction_date": "2021-06-01",
"updated_at": "2021-06-01T12:00:00Z"
}
}Salary Transactions
Update Salary Transaction
Partially update an existing Salary Transaction. Each property in the request replaces that property’s whole timeline; properties not included are left untouched.
PATCH
/
v1
/
org
/
salary-transactions
/
{salary_transaction_id}
Update Salary Transaction
curl --request PATCH \
--url https://api.twine.se/v1/org/salary-transactions/{salary_transaction_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"employee_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"mappings": [
{
"external_id": "SAL-1024",
"system_integration_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"status": "active",
"status_updated_at": "2023-11-07T05:31:56Z"
}
],
"properties": {
"amount": [
{
"valid_from": "2021-06-01",
"value": null
}
],
"cost_center": [
{
"valid_from": "2021-06-01",
"value": null
}
],
"currency": [
{
"valid_from": "2021-06-01",
"value": null
}
],
"custom_properties": {},
"department_id": [
{
"valid_from": "2021-06-01",
"value": null
}
],
"description": [
{
"valid_from": "2021-06-01",
"value": null
}
],
"period_end": [
{
"valid_from": "2021-06-01",
"value": "2021-06-01T12:00:00Z"
}
],
"period_start": [
{
"valid_from": "2021-06-01",
"value": "2021-06-01T12:00:00Z"
}
],
"project": [
{
"valid_from": "2021-06-01",
"value": null
}
],
"quantity": [
{
"valid_from": "2021-06-01",
"value": null
}
],
"source_external_id": [
{
"valid_from": "2021-06-01",
"value": null
}
],
"total": [
{
"valid_from": "2021-06-01",
"value": null
}
],
"transaction_date": [
{
"valid_from": "2021-06-01",
"value": "2021-06-01T12:00:00Z"
}
],
"transaction_type": [
{
"valid_from": "2021-06-01",
"value": null
}
]
}
}
}
'{
"data": {
"id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"org_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"employee_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"inserted_at": "2021-06-01T12:00:00Z",
"mappings": [
{
"external_id": "SAL-1024",
"system_integration_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"status": "active",
"status_updated_at": "2023-11-07T05:31:56Z"
}
],
"properties": {
"amount": [
{
"valid_from": "2021-06-01",
"value": null
}
],
"cost_center": [
{
"valid_from": "2021-06-01",
"value": null
}
],
"currency": [
{
"valid_from": "2021-06-01",
"value": null
}
],
"custom_properties": {},
"department_id": [
{
"valid_from": "2021-06-01",
"value": null
}
],
"description": [
{
"valid_from": "2021-06-01",
"value": null
}
],
"period_end": [
{
"valid_from": "2021-06-01",
"value": "2021-06-01T12:00:00Z"
}
],
"period_start": [
{
"valid_from": "2021-06-01",
"value": "2021-06-01T12:00:00Z"
}
],
"project": [
{
"valid_from": "2021-06-01",
"value": null
}
],
"quantity": [
{
"valid_from": "2021-06-01",
"value": null
}
],
"source_external_id": [
{
"valid_from": "2021-06-01",
"value": null
}
],
"total": [
{
"valid_from": "2021-06-01",
"value": null
}
],
"transaction_date": [
{
"valid_from": "2021-06-01",
"value": "2021-06-01T12:00:00Z"
}
],
"transaction_type": [
{
"valid_from": "2021-06-01",
"value": null
}
]
},
"transaction_date": "2021-06-01",
"updated_at": "2021-06-01T12:00:00Z"
}
}Authorizations
Bearer token for authentication
Path Parameters
Body
application/json
Salary Transaction Upsert Request
Represents a request to upsert a salary transaction
An object representing an upsertable salary transaction
Show child attributes
Show child attributes
Response
Response
A salary transaction response
A salary transaction — a single payroll line item (payout, bonus, commission, deduction, …)
Show child attributes
Show child attributes
⌘I